<?php
/*
Plugin Name: Advanced WYSIWYG Editort
Plugin URI: http://www.labnotes.org/
Description: Adds more styling options to the WYSIWYG post editor.
Version: 0.2
Author: Assaf Arkin
Author URI: http://labnotes.org/
License: Creative Commons Attribution-ShareAlike
Tags: wordpress tinymce
*/

if (isset($wp_version)) {
    add_filter("mce_plugins", "extended_editor_mce_plugins", 0);
    add_filter("mce_buttons", "extended_editor_mce_buttons", 0);
    add_filter("mce_buttons_2", "extended_editor_mce_buttons_2", 0);
    add_filter("mce_buttons_3", "extended_editor_mce_buttons_3", 0);
}


function extended_editor_mce_plugins($plugins) {
    array_push($plugins, "table", "paste", "insertdatetime", "searchreplace", "print" , "image", 
    "flash" , "imagemanager", "save", "noneditable");
    return $plugins;
}


function extended_editor_mce_buttons($buttons) {
return array(
        
        "print", "separator", "spellerpages", "search", "replace", "separator", "cut", "copy", "paste", "pasteword", 
    "pastetext", "selectall", "separator","undo", "redo", "separator","link", "unlink", "anchor", "image", "flash", 
    "hr", "separator", "sub", "sup", "forecolor", "backcolor", "charmap", "separator" , "fullscreen", "wordpress", 
    "separator", "imagemanager");
}

function extended_editor_mce_buttons_2($buttons) {
    // Add buttons on the second toolbar line
   // return $buttons;
return array(
    "formatselect", "fontselect", "fontsizeselect","separator", "bold", "italic", "underline", "strikethrough", 
    "separator","justifyleft", "justifycenter", "justifyright", "justifyfull", "separator", "bullist", "numlist", 
    "indent", "outdent");
}

function extended_editor_mce_buttons_3($buttons) {
    // Add buttons on the third toolbar line
    //return $buttons;
return array(
   "tablecontrols", "separator" , "insertdate" , "inserttime" , "cleanup", "code");
}
?>